# List payment runs Retrieves the information about all payment runs. You can define filterable fields to restrict the data returned in the response. ### Filtering You can use query parameters to restrict the data returned in the response. Each query parameter corresponds to one field in the response body. If the value of a filterable field is string, you can set the corresponding query parameter to null when filtering. Then, you can get the response data with this field value being null. Examples: - /v1/payment-runs?status=Processed - /v1/payment-runs?targetDate=2017-10-10&status=Pending - /v1/payment-runs?status=Completed&sort=+updatedDate Endpoint: GET /v1/payment-runs Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Query parameters: - `page` (integer) The index number of the page that you want to retrieve. This parameter is dependent on pageSize. You must set pageSize before specifying page. For example, if you set pageSize to 20 and page to 2, the 21st to 40th records are returned in the response. - `pageSize` (integer) The number of records returned per page in the response. - `createdById` (string) This parameter filters the response based on the createdById field. - `createdDate` (string) This parameter filters the response based on the createdDate field. - `status` (string) This parameter filters the response based on the status field. Enum: "Pending", "Processing", "Completed", "Error", "Canceled" - `targetDate` (string) This parameter filters the response based on the targetDate field. - `updatedById` (string) This parameter filters the response based on the updatedById field. - `updatedDate` (string) This parameter filters the response based on the updatedDate field. - `sort` (string) This parameter restricts the order of the data returned in the response. You can use this parameter to supply a dimension you want to sort on. A sortable field uses the following form: operator field_name You can use at most two sortable fields in one URL path. Use a comma to separate sortable fields. For example: operator field_name, operator field_name operator is used to mark the order of sequencing. The operator is optional. If you only specify the sortable field without any operator, the response data is sorted in descending order by this field. - The - operator indicates an ascending order. - The + operator indicates a descending order. By default, the response data is displayed in descending order by payment run number. field_name indicates the name of a sortable field. The supported sortable fields of this operation are as below: - targetDate - status - createdDate - createdById - updatedDate - updatedById Examples: - /v1/payment-runs?sort=+createdDate - /v1/payment-runs?status=Processing&sort=-createdById,+targetDate ## Response 200 fields (application/json): - `nextPage` (string) The URL for requesting the next page of the response, if it exists; otherwise absent. - `paymentRuns` (array) Container for payment runs. - `paymentRuns.accountId` (string) The ID of the customer account associated with the payment run. - `paymentRuns.applyCreditBalance` (boolean) Note: This field is only available if you have the Credit Balance feature enabled and the Invoice Settlement feature disabled. Whether to apply credit balances in the payment run. This field is only available when you have Invoice Settlement feature disabled. - `paymentRuns.autoApplyCreditMemo` (boolean) Note: This field is only available if you have [Invoice Settlement](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement) enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see [Invoice Settlement Enablement and Checklist Guide](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement/Invoice_Settlement_Migration_Checklist_and_Guide) for more information. Whether to automatically apply a posted credit memo to one or more receivables in the payment run. - `paymentRuns.autoApplyUnappliedPayment` (boolean) Note: This field is only available if you have [Invoice Settlement](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement) enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see [Invoice Settlement Enablement and Checklist Guide](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement/Invoice_Settlement_Migration_Checklist_and_Guide) for more information. Whether to automatically apply unapplied payments to one or more receivables in the payment run. - `paymentRuns.batch` (string) The alias name given to a batch. Example: "Batch1" - `paymentRuns.billCycleDay` (string) The billing cycle day (BCD), the day of the month when a bill run generates invoices for the account. Example: 1 - `paymentRuns.billingRunId` (string) The ID of the bill run. - `paymentRuns.collectPayment` (boolean) Whether to process electronic payments during the execution of payment runs. - `paymentRuns.completedOn` (string,null) The date and time when the payment run is completed, in yyyy-mm-dd hh:mm:ss format. For example, 2017-03-01 11:39:58. - `paymentRuns.consolidatedPayment` (boolean) Note: The Process Electronic Payment permission also needs to be allowed for a Manage Payment Runs role to work. See [Payments Roles](https://knowledgecenter.zuora.com/CF_Users_and_Administrators/A_Administrator_Settings/User_Roles/e_Payments_Roles) for more information. Whether to process a single payment for all receivables that are due on an account. - `paymentRuns.createdById` (string) The ID of the Zuora user who created the payment run. - `paymentRuns.createdDate` (string) The date and time when the payment run was created, in yyyy-mm-dd hh:mm:ss format. For example, 2017-03-01 15:31:10. - `paymentRuns.currency` (string) A currency defined in the web-based UI administrative settings. Example: "USD" - `paymentRuns.executedOn` (string,null) The date and time when the payment run is executed, in yyyy-mm-dd hh:mm:ss format. For example, 2017-03-01 11:30:37. - `paymentRuns.id` (string) The ID of the payment run. - `paymentRuns.number` (string) The identification number of the payment run. - `paymentRuns.organizationLabels` (array) The organization(s) that the object belongs to. Note: This field is available only when the Multi-Org feature is enabled. - `paymentRuns.organizationLabels.organizationId` (string) The organization ID. - `paymentRuns.organizationLabels.organizationName` (string) The organization name. - `paymentRuns.paymentGatewayId` (string,null) The ID of the gateway instance that processes the payment. - `paymentRuns.processPaymentWithClosedPM` (boolean) Note: The Process Electronic Payment permission also needs to be allowed for a Manage Payment Runs role to work. See [Payments Roles](https://knowledgecenter.zuora.com/CF_Users_and_Administrators/A_Administrator_Settings/User_Roles/e_Payments_Roles) for more information. Whether to process payments even if the default payment method is closed. - `paymentRuns.runDate` (string) The date and time when the scheduled payment run is to be executed for collecting payments. - `paymentRuns.status` (string) The status of the created payment run. Enum: "Pending", "Processing", "Completed", "Error", "Canceled" - `paymentRuns.success` (boolean) Returns true if the request was processed successfully. - `paymentRuns.targetDate` (string) The target date used to determine which receivables to be collected in the payment run. - `paymentRuns.updatedById` (string) The ID of the Zuora user who last updated the payment run. - `paymentRuns.updatedDate` (string) The date and time when the payment run was last updated, in yyyy-mm-dd hh:mm:ss format. For example, 2017-03-02 15:36:10. - `paymentRuns.useCustomPaymentMethods` (boolean) Whether to enable payment profiles for a payment run.